/*===========================================================================*/
/*   (Lalr/gen.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Lalr/gen.scm -indent -o objs/obj_u/Lalr/gen.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_loopz00zz__lalr_genz00(long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__lalr_genz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__lalr_globalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_genzd2lalrzd2codez00zz__lalr_genz00();
extern obj_t BGl_shiftzd2tablezd2zz__lalr_globalz00;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genzd2reductionzd2tablez00zz__lalr_genz00();
static obj_t BGl_actionsz00zz__lalr_genz00();
extern long bgl_list_length(obj_t);
static obj_t BGl_loopz72z72z00zz__lalr_genz00(obj_t);
static obj_t BGl_genzd2actionzd2tablez00zz__lalr_genz00();
static obj_t BGl_cnstzd2initzd2zz__lalr_genz00();
static obj_t BGl_loopz72z72zz__lalr_genz00(obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl_reductionsz00zz__lalr_genz00();
extern obj_t BGl_nvarsz00zz__lalr_globalz00;
extern obj_t BGl_nstatesz00zz__lalr_globalz00;
extern obj_t BGl_za2symvza2z00zz__lalr_rewritez00;
static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_genz00();
static obj_t BGl_symbol2168z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2167z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2166z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2165z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2164z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2163z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2162z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2161z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2160z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2159z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2158z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2157z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2155z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl__genzd2lalrzd2codez00zz__lalr_genz00(obj_t);
static obj_t BGl_symbol2152z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2149z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2147z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2144z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2142z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_loopzd2azd2zz__lalr_genz00(long);
static obj_t BGl_symbol2140z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2138z00zz__lalr_genz00 = BUNSPEC;
extern obj_t BGl_actionzd2tablezd2zz__lalr_globalz00;
static obj_t BGl_symbol2136z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2123z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2125z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_loopzd2gzd2zz__lalr_genz00(long);
static obj_t BGl_symbol2132z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2127z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2131z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2130z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2129z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2128z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_loopzd2lzd2zz__lalr_genz00(obj_t, long);
static obj_t BGl_list2133z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2126z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2134z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2135z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2124z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_loopzd2pzd2zz__lalr_genz00(obj_t, obj_t, obj_t, long);
static obj_t BGl_list2137z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_symbol2122z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2139z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2141z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2143z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2145z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2146z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2148z00zz__lalr_genz00 = BUNSPEC;
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_list2151z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_genzd2gotozd2tablez00zz__lalr_genz00();
static obj_t BGl_list2153z00zz__lalr_genz00 = BUNSPEC;
static obj_t BGl_list2154z00zz__lalr_genz00 = BUNSPEC;
extern obj_t BGl_acceszd2symbolzd2zz__lalr_globalz00;
static obj_t BGl_gotosz00zz__lalr_genz00();
extern obj_t BGl_grammarz00zz__lalr_globalz00;
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_genzd2lalrzd2codezd2envzd2zz__lalr_genz00, BgL_bgl__genza7d2lalrza7d2codeza700za7za7__lalr_genza7002174z00, BGl__genzd2lalrzd2codez00zz__lalr_genz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_genz00(long BgL_checksumz00_789, char * BgL_fromz00_790)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_genz00))
{ 
BGl_requirezd2initializa7ationz75zz__lalr_genz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__lalr_genz00(); 
BGl_importedzd2moduleszd2initz00zz__lalr_genz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 11 */
BGl_symbol2122z00zz__lalr_genz00 = 
string_to_symbol("let*"); 
BGl_symbol2124z00zz__lalr_genz00 = 
string_to_symbol("__push"); 
BGl_symbol2126z00zz__lalr_genz00 = 
string_to_symbol("lambda"); 
BGl_symbol2128z00zz__lalr_genz00 = 
string_to_symbol("stack"); 
BGl_symbol2129z00zz__lalr_genz00 = 
string_to_symbol("sp"); 
BGl_symbol2130z00zz__lalr_genz00 = 
string_to_symbol("new-cat"); 
BGl_symbol2131z00zz__lalr_genz00 = 
string_to_symbol("goto-table"); 
BGl_symbol2132z00zz__lalr_genz00 = 
string_to_symbol("lval"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_804;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_805;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_806;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_807;
BgL_auxz00_807 = 
MAKE_PAIR(BGl_symbol2132z00zz__lalr_genz00, BNIL); 
BgL_auxz00_806 = 
MAKE_PAIR(BGl_symbol2131z00zz__lalr_genz00, BgL_auxz00_807); } 
BgL_auxz00_805 = 
MAKE_PAIR(BGl_symbol2130z00zz__lalr_genz00, BgL_auxz00_806); } 
BgL_auxz00_804 = 
MAKE_PAIR(BGl_symbol2129z00zz__lalr_genz00, BgL_auxz00_805); } 
BGl_list2127z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2128z00zz__lalr_genz00, BgL_auxz00_804); } 
BGl_symbol2136z00zz__lalr_genz00 = 
string_to_symbol("state"); 
BGl_symbol2138z00zz__lalr_genz00 = 
string_to_symbol("vector-ref"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_815;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_816;
BgL_auxz00_816 = 
MAKE_PAIR(BGl_symbol2129z00zz__lalr_genz00, BNIL); 
BgL_auxz00_815 = 
MAKE_PAIR(BGl_symbol2128z00zz__lalr_genz00, BgL_auxz00_816); } 
BGl_list2137z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2138z00zz__lalr_genz00, BgL_auxz00_815); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_820;
BgL_auxz00_820 = 
MAKE_PAIR(BGl_list2137z00zz__lalr_genz00, BNIL); 
BGl_list2135z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2136z00zz__lalr_genz00, BgL_auxz00_820); } 
BGl_symbol2140z00zz__lalr_genz00 = 
string_to_symbol("new-state"); 
BGl_symbol2142z00zz__lalr_genz00 = 
string_to_symbol("cdr"); 
BGl_symbol2144z00zz__lalr_genz00 = 
string_to_symbol("assq"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_826;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_827;
BgL_auxz00_827 = 
MAKE_PAIR(BGl_symbol2136z00zz__lalr_genz00, BNIL); 
BgL_auxz00_826 = 
MAKE_PAIR(BGl_symbol2131z00zz__lalr_genz00, BgL_auxz00_827); } 
BGl_list2145z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2138z00zz__lalr_genz00, BgL_auxz00_826); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_831;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
MAKE_PAIR(BGl_list2145z00zz__lalr_genz00, BNIL); 
BgL_auxz00_831 = 
MAKE_PAIR(BGl_symbol2130z00zz__lalr_genz00, BgL_auxz00_832); } 
BGl_list2143z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2144z00zz__lalr_genz00, BgL_auxz00_831); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_836;
BgL_auxz00_836 = 
MAKE_PAIR(BGl_list2143z00zz__lalr_genz00, BNIL); 
BGl_list2141z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2142z00zz__lalr_genz00, BgL_auxz00_836); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_839;
BgL_auxz00_839 = 
MAKE_PAIR(BGl_list2141z00zz__lalr_genz00, BNIL); 
BGl_list2139z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2140z00zz__lalr_genz00, BgL_auxz00_839); } 
BGl_symbol2147z00zz__lalr_genz00 = 
string_to_symbol("new-sp"); 
BGl_symbol2149z00zz__lalr_genz00 = 
string_to_symbol("+fx"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_844;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_845;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_846;
BgL_auxz00_846 = 
BINT(((long)2)); 
BgL_auxz00_845 = 
MAKE_PAIR(BgL_auxz00_846, BNIL); } 
BgL_auxz00_844 = 
MAKE_PAIR(BGl_symbol2129z00zz__lalr_genz00, BgL_auxz00_845); } 
BGl_list2148z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2149z00zz__lalr_genz00, BgL_auxz00_844); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_851;
BgL_auxz00_851 = 
MAKE_PAIR(BGl_list2148z00zz__lalr_genz00, BNIL); 
BGl_list2146z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2147z00zz__lalr_genz00, BgL_auxz00_851); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_854;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_855;
BgL_auxz00_855 = 
MAKE_PAIR(BGl_list2146z00zz__lalr_genz00, BNIL); 
BgL_auxz00_854 = 
MAKE_PAIR(BGl_list2139z00zz__lalr_genz00, BgL_auxz00_855); } 
BGl_list2134z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_list2135z00zz__lalr_genz00, BgL_auxz00_854); } 
BGl_symbol2152z00zz__lalr_genz00 = 
string_to_symbol("vector-set!"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_860;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_861;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_862;
BgL_auxz00_862 = 
MAKE_PAIR(BGl_symbol2140z00zz__lalr_genz00, BNIL); 
BgL_auxz00_861 = 
MAKE_PAIR(BGl_symbol2147z00zz__lalr_genz00, BgL_auxz00_862); } 
BgL_auxz00_860 = 
MAKE_PAIR(BGl_symbol2128z00zz__lalr_genz00, BgL_auxz00_861); } 
BGl_list2151z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2152z00zz__lalr_genz00, BgL_auxz00_860); } 
BGl_symbol2155z00zz__lalr_genz00 = 
string_to_symbol("-fx"); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_868;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_869;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_870;
BgL_auxz00_870 = 
BINT(((long)1)); 
BgL_auxz00_869 = 
MAKE_PAIR(BgL_auxz00_870, BNIL); } 
BgL_auxz00_868 = 
MAKE_PAIR(BGl_symbol2147z00zz__lalr_genz00, BgL_auxz00_869); } 
BGl_list2154z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2155z00zz__lalr_genz00, BgL_auxz00_868); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_875;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_876;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_877;
BgL_auxz00_877 = 
MAKE_PAIR(BGl_symbol2132z00zz__lalr_genz00, BNIL); 
BgL_auxz00_876 = 
MAKE_PAIR(BGl_list2154z00zz__lalr_genz00, BgL_auxz00_877); } 
BgL_auxz00_875 = 
MAKE_PAIR(BGl_symbol2128z00zz__lalr_genz00, BgL_auxz00_876); } 
BGl_list2153z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2152z00zz__lalr_genz00, BgL_auxz00_875); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_882;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_883;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_884;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_885;
BgL_auxz00_885 = 
MAKE_PAIR(BGl_symbol2147z00zz__lalr_genz00, BNIL); 
BgL_auxz00_884 = 
MAKE_PAIR(BGl_list2153z00zz__lalr_genz00, BgL_auxz00_885); } 
BgL_auxz00_883 = 
MAKE_PAIR(BGl_list2151z00zz__lalr_genz00, BgL_auxz00_884); } 
BgL_auxz00_882 = 
MAKE_PAIR(BGl_list2134z00zz__lalr_genz00, BgL_auxz00_883); } 
BGl_list2133z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2122z00zz__lalr_genz00, BgL_auxz00_882); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_891;
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_892;
BgL_auxz00_892 = 
MAKE_PAIR(BGl_list2133z00zz__lalr_genz00, BNIL); 
BgL_auxz00_891 = 
MAKE_PAIR(BGl_list2127z00zz__lalr_genz00, BgL_auxz00_892); } 
BGl_list2125z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2126z00zz__lalr_genz00, BgL_auxz00_891); } 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_auxz00_896;
BgL_auxz00_896 = 
MAKE_PAIR(BGl_list2125z00zz__lalr_genz00, BNIL); 
BGl_list2123z00zz__lalr_genz00 = 
MAKE_PAIR(BGl_symbol2124z00zz__lalr_genz00, BgL_auxz00_896); } 
BGl_symbol2157z00zz__lalr_genz00 = 
string_to_symbol("__make-parser"); 
BGl_symbol2158z00zz__lalr_genz00 = 
string_to_symbol("__action-table"); 
BGl_symbol2159z00zz__lalr_genz00 = 
string_to_symbol("__reduce"); 
BGl_symbol2160z00zz__lalr_genz00 = 
string_to_symbol("quote"); 
BGl_symbol2161z00zz__lalr_genz00 = 
string_to_symbol("__goto-table"); 
BGl_symbol2162z00zz__lalr_genz00 = 
string_to_symbol("n"); 
BGl_symbol2163z00zz__lalr_genz00 = 
string_to_symbol("__stack"); 
BGl_symbol2164z00zz__lalr_genz00 = 
string_to_symbol("__sp"); 
BGl_symbol2165z00zz__lalr_genz00 = 
string_to_symbol("case"); 
BGl_symbol2166z00zz__lalr_genz00 = 
string_to_symbol("*start*"); 
BGl_symbol2167z00zz__lalr_genz00 = 
string_to_symbol("let"); 
return ( 
BGl_symbol2168z00zz__lalr_genz00 = 
string_to_symbol("vector-ref-ur"), BUNSPEC) ;} 
}



/* gen-lalr-code */
BGL_EXPORTED_DEF obj_t BGl_genzd2lalrzd2codez00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 43 */
{ /* ./Lalr/gen.scm 44 */
obj_t BgL_arg1033z00_353;obj_t BgL_arg1034z00_354;
BgL_arg1033z00_353 = BGl_symbol2122z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 44 */
obj_t BgL_arg1037z00_355;obj_t BgL_arg1038z00_356;
{ /* ./Lalr/gen.scm 44 */
obj_t BgL_arg1041z00_357;obj_t BgL_arg1042z00_358;
BgL_arg1041z00_357 = 
BGl_genzd2actionzd2tablez00zz__lalr_genz00(); 
{ /* ./Lalr/gen.scm 45 */
obj_t BgL_arg1046z00_359;obj_t BgL_arg1047z00_360;
BgL_arg1046z00_359 = 
BGl_genzd2gotozd2tablez00zz__lalr_genz00(); 
{ /* ./Lalr/gen.scm 46 */
obj_t BgL_arg1051z00_361;obj_t BgL_arg1052z00_362;
BgL_arg1051z00_361 = BGl_list2123z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 44 */
obj_t BgL_auxz00_913;
BgL_auxz00_913 = 
BGl_genzd2reductionzd2tablez00zz__lalr_genz00(); 
BgL_arg1052z00_362 = 
MAKE_PAIR(BgL_auxz00_913, BNIL); } 
BgL_arg1047z00_360 = 
MAKE_PAIR(BgL_arg1051z00_361, BgL_arg1052z00_362); } 
BgL_arg1042z00_358 = 
MAKE_PAIR(BgL_arg1046z00_359, BgL_arg1047z00_360); } 
BgL_arg1037z00_355 = 
MAKE_PAIR(BgL_arg1041z00_357, BgL_arg1042z00_358); } 
{ /* ./Lalr/gen.scm 48 */
obj_t BgL_arg1064z00_365;
{ /* ./Lalr/gen.scm 48 */
obj_t BgL_arg1068z00_367;obj_t BgL_arg1069z00_368;
BgL_arg1068z00_367 = BGl_symbol2157z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 48 */
obj_t BgL_arg1073z00_369;obj_t BgL_arg1075z00_370;
BgL_arg1073z00_369 = BGl_symbol2158z00zz__lalr_genz00; 
BgL_arg1075z00_370 = 
MAKE_PAIR(BGl_symbol2159z00zz__lalr_genz00, BNIL); 
BgL_arg1069z00_368 = 
MAKE_PAIR(BgL_arg1073z00_369, BgL_arg1075z00_370); } 
BgL_arg1064z00_365 = 
MAKE_PAIR(BgL_arg1068z00_367, BgL_arg1069z00_368); } 
BgL_arg1038z00_356 = 
MAKE_PAIR(BgL_arg1064z00_365, BNIL); } 
BgL_arg1034z00_354 = 
MAKE_PAIR(BgL_arg1037z00_355, BgL_arg1038z00_356); } 
return 
MAKE_PAIR(BgL_arg1033z00_353, BgL_arg1034z00_354);} } 
}



/* _gen-lalr-code */
obj_t BGl__genzd2lalrzd2codez00zz__lalr_genz00(obj_t BgL_envz00_783)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 43 */
return 
BGl_genzd2lalrzd2codez00zz__lalr_genz00();} 
}



/* gen-action-table */
obj_t BGl_genzd2actionzd2tablez00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 61 */
{ /* ./Lalr/gen.scm 78 */
obj_t BgL_arg1079z00_372;obj_t BgL_arg1080z00_373;
BgL_arg1079z00_372 = BGl_symbol2158z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 78 */
obj_t BgL_arg1083z00_374;
{ /* ./Lalr/gen.scm 78 */
obj_t BgL_arg1087z00_376;obj_t BgL_arg1088z00_377;
BgL_arg1087z00_376 = BGl_symbol2160z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 78 */
obj_t BgL_auxz00_926;
BgL_auxz00_926 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
BGl_actionsz00zz__lalr_genz00(), BNIL)); 
BgL_arg1088z00_377 = 
MAKE_PAIR(BgL_auxz00_926, BNIL); } 
BgL_arg1083z00_374 = 
MAKE_PAIR(BgL_arg1087z00_376, BgL_arg1088z00_377); } 
BgL_arg1080z00_373 = 
MAKE_PAIR(BgL_arg1083z00_374, BNIL); } 
return 
MAKE_PAIR(BgL_arg1079z00_372, BgL_arg1080z00_373);} } 
}



/* loop'' */
obj_t BGl_loopz72z72z00zz__lalr_genz00(obj_t BgL_lz00_389)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 67 */
if(
NULLP(BgL_lz00_389))
{ /* ./Lalr/gen.scm 68 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 70 */
obj_t BgL_pz00_393;
BgL_pz00_393 = 
CAR(BgL_lz00_389); 
{ /* ./Lalr/gen.scm 70 */
obj_t BgL_xz00_394;
BgL_xz00_394 = 
CAR(BgL_pz00_393); 
{ /* ./Lalr/gen.scm 70 */
obj_t BgL_yz00_395;
BgL_yz00_395 = 
CDR(BgL_pz00_393); 
{ /* ./Lalr/gen.scm 70 */

{ /* ./Lalr/gen.scm 73 */
obj_t BgL_arg1115z00_396;obj_t BgL_arg1117z00_397;
{ /* ./Lalr/gen.scm 73 */
obj_t BgL_arg1120z00_398;
if(
INTEGERP(BgL_xz00_394))
{ /* ./Lalr/gen.scm 73 */
long BgL_arg1124z00_400;
{ /* ./Lalr/gen.scm 73 */
long BgL_auxz00_943;long BgL_auxz00_941;
BgL_auxz00_943 = 
(long)CINT(BgL_xz00_394); 
BgL_auxz00_941 = 
(long)CINT(BGl_nvarsz00zz__lalr_globalz00); 
BgL_arg1124z00_400 = 
(BgL_auxz00_941+BgL_auxz00_943); } 
{ 
int BgL_auxz00_946;
BgL_auxz00_946 = 
(int)(BgL_arg1124z00_400); 
BgL_arg1120z00_398 = 
VECTOR_REF(BGl_za2symvza2z00zz__lalr_rewritez00,BgL_auxz00_946); } }  else 
{ /* ./Lalr/gen.scm 73 */
BgL_arg1120z00_398 = BgL_xz00_394; } 
BgL_arg1115z00_396 = 
MAKE_PAIR(BgL_arg1120z00_398, BgL_yz00_395); } 
BgL_arg1117z00_397 = 
BGl_loopz72z72z00zz__lalr_genz00(
CDR(BgL_lz00_389)); 
return 
MAKE_PAIR(BgL_arg1115z00_396, BgL_arg1117z00_397);} } } } } } 
}



/* loop-a */
obj_t BGl_loopzd2azd2zz__lalr_genz00(long BgL_iz00_384)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 63 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_384), BGl_nstatesz00zz__lalr_globalz00))
{ /* ./Lalr/gen.scm 64 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 66 */
obj_t BgL_auxz00_962;obj_t BgL_auxz00_956;
BgL_auxz00_962 = 
BGl_loopzd2azd2zz__lalr_genz00(
(BgL_iz00_384+((long)1))); 
{ /* ./Lalr/gen.scm 67 */
obj_t BgL_auxz00_957;
{ 
int BgL_auxz00_958;
BgL_auxz00_958 = 
(int)(BgL_iz00_384); 
BgL_auxz00_957 = 
VECTOR_REF(BGl_actionzd2tablezd2zz__lalr_globalz00,BgL_auxz00_958); } 
BgL_auxz00_956 = 
BGl_loopz72z72z00zz__lalr_genz00(BgL_auxz00_957); } 
return 
MAKE_PAIR(BgL_auxz00_956, BgL_auxz00_962);} } 
}



/* actions */
obj_t BGl_actionsz00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 76 */
return 
BGl_loopzd2azd2zz__lalr_genz00(((long)0));} 
}



/* gen-goto-table */
obj_t BGl_genzd2gotozd2tablez00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 80 */
{ /* ./Lalr/gen.scm 101 */
obj_t BgL_arg1144z00_405;obj_t BgL_arg1146z00_406;
BgL_arg1144z00_405 = BGl_symbol2161z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 101 */
obj_t BgL_arg1149z00_407;
{ /* ./Lalr/gen.scm 101 */
obj_t BgL_arg1153z00_409;obj_t BgL_arg1154z00_410;
BgL_arg1153z00_409 = BGl_symbol2160z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 101 */
obj_t BgL_auxz00_967;
BgL_auxz00_967 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
BGl_gotosz00zz__lalr_genz00(), BNIL)); 
BgL_arg1154z00_410 = 
MAKE_PAIR(BgL_auxz00_967, BNIL); } 
BgL_arg1149z00_407 = 
MAKE_PAIR(BgL_arg1153z00_409, BgL_arg1154z00_410); } 
BgL_arg1146z00_406 = 
MAKE_PAIR(BgL_arg1149z00_407, BNIL); } 
return 
MAKE_PAIR(BgL_arg1144z00_405, BgL_arg1146z00_406);} } 
}



/* loop' */
obj_t BGl_loopz72z72zz__lalr_genz00(obj_t BgL_lz00_423)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 88 */
BGl_loopz72z72zz__lalr_genz00:
if(
NULLP(BgL_lz00_423))
{ /* ./Lalr/gen.scm 89 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 91 */
obj_t BgL_statez00_427;
BgL_statez00_427 = 
CAR(BgL_lz00_423); 
{ /* ./Lalr/gen.scm 91 */
obj_t BgL_symbolz00_428;
{ 
int BgL_auxz00_978;
BgL_auxz00_978 = 
CINT(BgL_statez00_427); 
BgL_symbolz00_428 = 
VECTOR_REF(BGl_acceszd2symbolzd2zz__lalr_globalz00,BgL_auxz00_978); } 
{ /* ./Lalr/gen.scm 92 */

{ /* ./Lalr/gen.scm 93 */
bool_t BgL_testz00_981;
{ /* ./Lalr/gen.scm 93 */
long BgL_auxz00_984;long BgL_auxz00_982;
BgL_auxz00_984 = 
(long)CINT(BGl_nvarsz00zz__lalr_globalz00); 
BgL_auxz00_982 = 
(long)CINT(BgL_symbolz00_428); 
BgL_testz00_981 = 
(BgL_auxz00_982<BgL_auxz00_984); } 
if(BgL_testz00_981)
{ /* ./Lalr/gen.scm 95 */
obj_t BgL_arg1187z00_430;obj_t BgL_arg1188z00_431;
{ /* ./Lalr/gen.scm 95 */
obj_t BgL_auxz00_987;
{ 
int BgL_auxz00_988;
BgL_auxz00_988 = 
CINT(BgL_symbolz00_428); 
BgL_auxz00_987 = 
VECTOR_REF(BGl_za2symvza2z00zz__lalr_rewritez00,BgL_auxz00_988); } 
BgL_arg1187z00_430 = 
MAKE_PAIR(BgL_auxz00_987, BgL_statez00_427); } 
BgL_arg1188z00_431 = 
BGl_loopz72z72zz__lalr_genz00(
CDR(BgL_lz00_423)); 
return 
MAKE_PAIR(BgL_arg1187z00_430, BgL_arg1188z00_431);}  else 
{ 
obj_t BgL_lz00_995;
BgL_lz00_995 = 
CDR(BgL_lz00_423); 
BgL_lz00_423 = BgL_lz00_995; 
goto BGl_loopz72z72zz__lalr_genz00;} } } } } } 
}



/* loop-g */
obj_t BGl_loopzd2gzd2zz__lalr_genz00(long BgL_iz00_417)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 82 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_417), BGl_nstatesz00zz__lalr_globalz00))
{ /* ./Lalr/gen.scm 83 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 86 */
obj_t BgL_arg1177z00_420;obj_t BgL_arg1178z00_421;
{ /* ./Lalr/gen.scm 86 */
obj_t BgL_shiftsz00_422;
{ 
int BgL_auxz00_1000;
BgL_auxz00_1000 = 
(int)(BgL_iz00_417); 
BgL_shiftsz00_422 = 
VECTOR_REF(BGl_shiftzd2tablezd2zz__lalr_globalz00,BgL_auxz00_1000); } 
if(
CBOOL(BgL_shiftsz00_422))
{ /* ./Lalr/gen.scm 88 */
obj_t BgL_auxz00_1005;
{ 
int BgL_auxz00_1006;
BgL_auxz00_1006 = 
(int)(((long)2)); 
BgL_auxz00_1005 = 
VECTOR_REF(BgL_shiftsz00_422,BgL_auxz00_1006); } 
BgL_arg1177z00_420 = 
BGl_loopz72z72zz__lalr_genz00(BgL_auxz00_1005); }  else 
{ /* ./Lalr/gen.scm 87 */
BgL_arg1177z00_420 = BNIL; } } 
BgL_arg1178z00_421 = 
BGl_loopzd2gzd2zz__lalr_genz00(
(BgL_iz00_417+((long)1))); 
return 
MAKE_PAIR(BgL_arg1177z00_420, BgL_arg1178z00_421);} } 
}



/* gotos */
obj_t BGl_gotosz00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 99 */
return 
BGl_loopzd2gzd2zz__lalr_genz00(((long)0));} 
}



/* gen-reduction-table */
obj_t BGl_genzd2reductionzd2tablez00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 103 */
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1213z00_440;obj_t BgL_arg1214z00_441;
BgL_arg1213z00_440 = BGl_symbol2159z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1217z00_442;
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1221z00_444;obj_t BgL_arg1222z00_445;
BgL_arg1221z00_444 = BGl_symbol2126z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1225z00_446;obj_t BgL_arg1227z00_447;
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1230z00_448;obj_t BgL_arg1231z00_449;
BgL_arg1230z00_448 = BGl_symbol2162z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 140 */
obj_t BgL_arg1234z00_450;obj_t BgL_arg1235z00_451;
BgL_arg1234z00_450 = BGl_symbol2163z00zz__lalr_genz00; 
BgL_arg1235z00_451 = 
MAKE_PAIR(BGl_symbol2164z00zz__lalr_genz00, BNIL); 
BgL_arg1231z00_449 = 
MAKE_PAIR(BgL_arg1234z00_450, BgL_arg1235z00_451); } 
BgL_arg1225z00_446 = 
MAKE_PAIR(BgL_arg1230z00_448, BgL_arg1231z00_449); } 
{ /* ./Lalr/gen.scm 141 */
obj_t BgL_arg1240z00_452;
{ /* ./Lalr/gen.scm 141 */
obj_t BgL_arg1244z00_454;obj_t BgL_arg1245z00_455;
BgL_arg1244z00_454 = BGl_symbol2165z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 141 */
obj_t BgL_auxz00_1017;
BgL_auxz00_1017 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
BGl_reductionsz00zz__lalr_genz00(), BNIL); 
BgL_arg1245z00_455 = 
MAKE_PAIR(BGl_symbol2162z00zz__lalr_genz00, BgL_auxz00_1017); } 
BgL_arg1240z00_452 = 
MAKE_PAIR(BgL_arg1244z00_454, BgL_arg1245z00_455); } 
BgL_arg1227z00_447 = 
MAKE_PAIR(BgL_arg1240z00_452, BNIL); } 
BgL_arg1222z00_445 = 
MAKE_PAIR(BgL_arg1225z00_446, BgL_arg1227z00_447); } 
BgL_arg1217z00_442 = 
MAKE_PAIR(BgL_arg1221z00_444, BgL_arg1222z00_445); } 
BgL_arg1214z00_441 = 
MAKE_PAIR(BgL_arg1217z00_442, BNIL); } 
return 
MAKE_PAIR(BgL_arg1213z00_440, BgL_arg1214z00_441);} } 
}



/* loop-l */
obj_t BGl_loopzd2lzd2zz__lalr_genz00(obj_t BgL_lz00_461, long BgL_noz00_462)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 123 */
if(
NULLP(BgL_lz00_461))
{ /* ./Lalr/gen.scm 124 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 126 */
obj_t BgL_defz00_465;
BgL_defz00_465 = 
CAR(BgL_lz00_461); 
{ /* ./Lalr/gen.scm 126 */
obj_t BgL_ntz00_466;
BgL_ntz00_466 = 
CAR(BgL_defz00_465); 
{ /* ./Lalr/gen.scm 127 */

return 
BGl_loopzd2pzd2zz__lalr_genz00(BgL_lz00_461, BgL_ntz00_466, 
CDR(BgL_defz00_465), BgL_noz00_462);} } } } 
}



/* loop-p */
obj_t BGl_loopzd2pzd2zz__lalr_genz00(obj_t BgL_lz00_785, obj_t BgL_ntz00_784, obj_t BgL_prodsz00_467, long BgL_noz00_468)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 128 */
{ 
obj_t BgL_ntz00_493;long BgL_nz00_494;obj_t BgL_actz00_495;
if(
NULLP(BgL_prodsz00_467))
{ /* ./Lalr/gen.scm 129 */
return 
BGl_loopzd2lzd2zz__lalr_genz00(
CDR(BgL_lz00_785), BgL_noz00_468);}  else 
{ /* ./Lalr/gen.scm 131 */
obj_t BgL_rhsz00_473;
{ /* ./Lalr/gen.scm 131 */
obj_t BgL_auxz00_1037;
BgL_auxz00_1037 = 
CAR(BgL_prodsz00_467); 
BgL_rhsz00_473 = 
CAR(BgL_auxz00_1037); } 
{ /* ./Lalr/gen.scm 131 */
obj_t BgL_actz00_474;
{ /* ./Lalr/gen.scm 131 */
obj_t BgL_auxz00_1040;
BgL_auxz00_1040 = 
CAR(BgL_prodsz00_467); 
BgL_actz00_474 = 
CDR(BgL_auxz00_1040); } 
{ /* ./Lalr/gen.scm 131 */
long BgL_nz00_475;
BgL_nz00_475 = 
bgl_list_length(BgL_rhsz00_473); 
{ /* ./Lalr/gen.scm 131 */

{ /* ./Lalr/gen.scm 134 */
obj_t BgL_arg1273z00_476;obj_t BgL_arg1274z00_477;
{ /* ./Lalr/gen.scm 134 */
obj_t BgL_arg1277z00_478;obj_t BgL_arg1278z00_479;
{ /* ./Lalr/gen.scm 134 */
obj_t BgL_list1286z00_482;
{ /* ./Lalr/gen.scm 134 */
obj_t BgL_auxz00_1044;
BgL_auxz00_1044 = 
BINT(BgL_noz00_468); 
BgL_list1286z00_482 = 
MAKE_PAIR(BgL_auxz00_1044, BNIL); } 
BgL_arg1277z00_478 = BgL_list1286z00_482; } 
{ /* ./Lalr/gen.scm 135 */
obj_t BgL_arg1289z00_483;obj_t BgL_arg1290z00_484;
BgL_arg1289z00_483 = BGl_symbol2167z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 135 */
obj_t BgL_arg1293z00_485;obj_t BgL_arg1294z00_486;
BgL_arg1293z00_485 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
BGl_loopz00zz__lalr_genz00(BgL_nz00_475, BgL_rhsz00_473), BNIL); 
{ /* ./Lalr/gen.scm 135 */
obj_t BgL_auxz00_1049;
BgL_ntz00_493 = BgL_ntz00_784; 
BgL_nz00_494 = BgL_nz00_475; 
BgL_actz00_495 = BgL_actz00_474; 
if(
(BgL_ntz00_493==BGl_symbol2166z00zz__lalr_genz00))
{ 
int BgL_auxz00_1052;
BgL_auxz00_1052 = 
(int)(((long)1)); 
BgL_auxz00_1049 = 
VECTOR_REF(BGl_za2symvza2z00zz__lalr_rewritez00,BgL_auxz00_1052); }  else 
{ /* ./Lalr/gen.scm 120 */
obj_t BgL_arg1323z00_498;obj_t BgL_arg1324z00_499;
BgL_arg1323z00_498 = BGl_symbol2124z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_arg1327z00_500;obj_t BgL_arg1328z00_501;
BgL_arg1327z00_500 = BGl_symbol2163z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_arg1331z00_502;obj_t BgL_arg1332z00_503;
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_arg1335z00_504;obj_t BgL_arg1336z00_505;
BgL_arg1335z00_504 = BGl_symbol2155z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_arg1340z00_506;obj_t BgL_arg1341z00_507;
BgL_arg1340z00_506 = BGl_symbol2164z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 117 */
long BgL_arg1344z00_508;
BgL_arg1344z00_508 = 
(((long)2)*BgL_nz00_494); 
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_auxz00_1056;
BgL_auxz00_1056 = 
BINT(BgL_arg1344z00_508); 
BgL_arg1341z00_507 = 
MAKE_PAIR(BgL_auxz00_1056, BNIL); } } 
BgL_arg1336z00_505 = 
MAKE_PAIR(BgL_arg1340z00_506, BgL_arg1341z00_507); } 
BgL_arg1331z00_502 = 
MAKE_PAIR(BgL_arg1335z00_504, BgL_arg1336z00_505); } 
{ /* ./Lalr/gen.scm 118 */
obj_t BgL_arg1349z00_510;obj_t BgL_arg1352z00_511;
{ /* ./Lalr/gen.scm 118 */
obj_t BgL_arg1355z00_512;obj_t BgL_arg1356z00_513;
BgL_arg1355z00_512 = BGl_symbol2160z00zz__lalr_genz00; 
BgL_arg1356z00_513 = 
MAKE_PAIR(BgL_ntz00_493, BNIL); 
BgL_arg1349z00_510 = 
MAKE_PAIR(BgL_arg1355z00_512, BgL_arg1356z00_513); } 
{ /* ./Lalr/gen.scm 117 */
obj_t BgL_arg1360z00_514;obj_t BgL_arg1361z00_515;
BgL_arg1360z00_514 = BGl_symbol2161z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 120 */
obj_t BgL_arg1364z00_516;
{ /* ./Lalr/gen.scm 120 */
obj_t BgL_arg1368z00_518;obj_t BgL_arg1370z00_519;
BgL_arg1368z00_518 = BGl_symbol2167z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 120 */
obj_t BgL_auxz00_1063;
BgL_auxz00_1063 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_actz00_495, BNIL); 
BgL_arg1370z00_519 = 
MAKE_PAIR(BNIL, BgL_auxz00_1063); } 
BgL_arg1364z00_516 = 
MAKE_PAIR(BgL_arg1368z00_518, BgL_arg1370z00_519); } 
BgL_arg1361z00_515 = 
MAKE_PAIR(BgL_arg1364z00_516, BNIL); } 
BgL_arg1352z00_511 = 
MAKE_PAIR(BgL_arg1360z00_514, BgL_arg1361z00_515); } 
BgL_arg1332z00_503 = 
MAKE_PAIR(BgL_arg1349z00_510, BgL_arg1352z00_511); } 
BgL_arg1328z00_501 = 
MAKE_PAIR(BgL_arg1331z00_502, BgL_arg1332z00_503); } 
BgL_arg1324z00_499 = 
MAKE_PAIR(BgL_arg1327z00_500, BgL_arg1328z00_501); } 
BgL_auxz00_1049 = 
MAKE_PAIR(BgL_arg1323z00_498, BgL_arg1324z00_499); } 
BgL_arg1294z00_486 = 
MAKE_PAIR(BgL_auxz00_1049, BNIL); } 
BgL_arg1290z00_484 = 
MAKE_PAIR(BgL_arg1293z00_485, BgL_arg1294z00_486); } 
BgL_arg1278z00_479 = 
MAKE_PAIR(BgL_arg1289z00_483, BgL_arg1290z00_484); } 
{ /* ./Lalr/gen.scm 133 */
obj_t BgL_list1280z00_480;
{ /* ./Lalr/gen.scm 133 */
obj_t BgL_arg1282z00_481;
BgL_arg1282z00_481 = 
MAKE_PAIR(BgL_arg1278z00_479, BNIL); 
BgL_list1280z00_480 = 
MAKE_PAIR(BgL_arg1277z00_478, BgL_arg1282z00_481); } 
BgL_arg1273z00_476 = BgL_list1280z00_480; } } 
BgL_arg1274z00_477 = 
BGl_loopzd2pzd2zz__lalr_genz00(BgL_lz00_785, BgL_ntz00_784, 
CDR(BgL_prodsz00_467), 
(BgL_noz00_468+((long)1))); 
return 
MAKE_PAIR(BgL_arg1273z00_476, BgL_arg1274z00_477);} } } } } } } 
}



/* loop */
obj_t BGl_loopz00zz__lalr_genz00(long BgL_iz00_526, obj_t BgL_lz00_527)
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 105 */
if(
NULLP(BgL_lz00_527))
{ /* ./Lalr/gen.scm 106 */
return BNIL;}  else 
{ /* ./Lalr/gen.scm 108 */
obj_t BgL_symz00_530;
BgL_symz00_530 = 
CAR(BgL_lz00_527); 
{ /* ./Lalr/gen.scm 110 */
obj_t BgL_arg1383z00_531;obj_t BgL_arg1384z00_532;
{ /* ./Lalr/gen.scm 110 */
obj_t BgL_arg1387z00_533;obj_t BgL_arg1388z00_534;
if(
PAIRP(BgL_symz00_530))
{ /* ./Lalr/gen.scm 110 */
BgL_arg1387z00_533 = 
CDR(BgL_symz00_530); }  else 
{ /* ./Lalr/gen.scm 110 */
BgL_arg1387z00_533 = BgL_symz00_530; } 
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1394z00_536;
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1398z00_538;obj_t BgL_arg1399z00_539;
BgL_arg1398z00_538 = BGl_symbol2168z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1402z00_540;obj_t BgL_arg1403z00_541;
BgL_arg1402z00_540 = BGl_symbol2163z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1406z00_542;
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1410z00_544;obj_t BgL_arg1412z00_545;
BgL_arg1410z00_544 = BGl_symbol2155z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_arg1415z00_546;obj_t BgL_arg1416z00_547;
BgL_arg1415z00_546 = BGl_symbol2164z00zz__lalr_genz00; 
{ /* ./Lalr/gen.scm 111 */
long BgL_arg1419z00_548;
{ /* ./Lalr/gen.scm 111 */
long BgL_auxz00_1088;
BgL_auxz00_1088 = 
(BgL_iz00_526*((long)2)); 
BgL_arg1419z00_548 = 
(BgL_auxz00_1088-((long)1)); } 
{ /* ./Lalr/gen.scm 111 */
obj_t BgL_auxz00_1091;
BgL_auxz00_1091 = 
BINT(BgL_arg1419z00_548); 
BgL_arg1416z00_547 = 
MAKE_PAIR(BgL_auxz00_1091, BNIL); } } 
BgL_arg1412z00_545 = 
MAKE_PAIR(BgL_arg1415z00_546, BgL_arg1416z00_547); } 
BgL_arg1406z00_542 = 
MAKE_PAIR(BgL_arg1410z00_544, BgL_arg1412z00_545); } 
BgL_arg1403z00_541 = 
MAKE_PAIR(BgL_arg1406z00_542, BNIL); } 
BgL_arg1399z00_539 = 
MAKE_PAIR(BgL_arg1402z00_540, BgL_arg1403z00_541); } 
BgL_arg1394z00_536 = 
MAKE_PAIR(BgL_arg1398z00_538, BgL_arg1399z00_539); } 
BgL_arg1388z00_534 = 
MAKE_PAIR(BgL_arg1394z00_536, BNIL); } 
BgL_arg1383z00_531 = 
MAKE_PAIR(BgL_arg1387z00_533, BgL_arg1388z00_534); } 
BgL_arg1384z00_532 = 
BGl_loopz00zz__lalr_genz00(
(BgL_iz00_526-((long)1)), 
CDR(BgL_lz00_527)); 
return 
MAKE_PAIR(BgL_arg1383z00_531, BgL_arg1384z00_532);} } } 
}



/* reductions */
obj_t BGl_reductionsz00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 137 */
return 
BGl_loopzd2lzd2zz__lalr_genz00(BGl_grammarz00zz__lalr_globalz00, ((long)1));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__lalr_genz00()
{ AN_OBJECT;
{ /* ./Lalr/gen.scm 11 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__lalr_globalz00(((long)27747), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(((long)39577), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__typez00(((long)52864), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__lalr_gen"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__lalr_gen"); 
return 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)3930), "__lalr_gen");} 
}

